Update a configuration

Updates a configuration by the given id.

put
Path parameters
idstringRequired

The id of the configuration.

Header parameters
Brand-URLstringRequired

The brand URL of the request. This is used to identify the brand.

Example: YOUR_BRAND_URL
Auth-KeystringRequired

Auth-Key is required to authenticate the request. If missing, the server will return 401 Unauthorized.

Example: YOUR_AUTH_KEY
Body

This class represents the configuration data transfer object which is used to create or update a configuration.

groupCodestring · min: 1Required

The group code of the configuration.

codestring · min: 1Required

The code of the configuration.

namestring · min: 1Required

The name of the configuration.

valuestring · min: 1Required

The value of the configuration.

descriptionstring · nullableOptional

The description of the configuration.

statusstring · enumOptional

This enum is used to define the common status of an object in JFW.

Supported values:

  • Inactive - In case of JFW object's status being inactive.
  • Active - In case of JFW object's status being active
Possible values:
Responses
chevron-right
200

The request was successful.

application/json

This provides interfaces for API responses with data.

successbooleanRead-onlyRequired

This is the flag to indicate whether the API call is successful or not.

statusCodeinteger · int32Read-onlyRequired

This is the HTTP status code. This is used to determine the status code to be returned to the client.

messagestring · min: 1Read-onlyRequired

This is the message to be displayed to the user.

put
/api/v1/configurations/{id}

Last updated